package com.qmth.distributed.print.business.bean.result;

import com.qmth.distributed.print.business.enums.CustomFlowMultipleUserApproveTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 流程查看result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class FlowViewResult implements Serializable {

    @ApiModelProperty(value = "自定义流程审核类型")
    private CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType;

    @ApiModelProperty(value = "当前流程节点")
    private FlowTaskResult currFlowTaskResult;

    @ApiModelProperty(value = "流程审批信息")
    List<TFFlowViewLogResult> tfFlowViewLogResultList;

    public FlowViewResult() {

    }

    public FlowViewResult(List<TFFlowViewLogResult> tfFlowViewLogResultList) {
        this.tfFlowViewLogResultList = tfFlowViewLogResultList;
    }

    public FlowViewResult(FlowTaskResult currFlowTaskResult) {
        this.currFlowTaskResult = currFlowTaskResult;
    }

    public FlowViewResult(FlowTaskResult currFlowTaskResult, List<TFFlowViewLogResult> tfFlowViewLogResultList) {
        this.currFlowTaskResult = currFlowTaskResult;
        this.tfFlowViewLogResultList = tfFlowViewLogResultList;
    }

    public FlowViewResult(CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType, FlowTaskResult currFlowTaskResult, List<TFFlowViewLogResult> tfFlowViewLogResultList) {
        this.multipleUserApproveType = multipleUserApproveType;
        this.currFlowTaskResult = currFlowTaskResult;
        this.tfFlowViewLogResultList = tfFlowViewLogResultList;
    }

    public FlowTaskResult getCurrFlowTaskResult() {
        return currFlowTaskResult;
    }

    public void setCurrFlowTaskResult(FlowTaskResult currFlowTaskResult) {
        this.currFlowTaskResult = currFlowTaskResult;
    }

    public CustomFlowMultipleUserApproveTypeEnum getMultipleUserApproveType() {
        return multipleUserApproveType;
    }

    public void setMultipleUserApproveType(CustomFlowMultipleUserApproveTypeEnum multipleUserApproveType) {
        this.multipleUserApproveType = multipleUserApproveType;
    }

    public List<TFFlowViewLogResult> getTfFlowViewLogResultList() {
        return tfFlowViewLogResultList;
    }

    public void setTfFlowViewLogResultList(List<TFFlowViewLogResult> tfFlowViewLogResultList) {
        this.tfFlowViewLogResultList = tfFlowViewLogResultList;
    }
}
